%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-tinycss2
Version:       1.1.1
Release:       1mamba
Summary:       A tiny CSS parser
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.courtbouillon.org/tinycss2
Source:        https://pypi.debian.net/tinycss2/tinycss2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: python-pyproject2setuppy-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tinycss2-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m pyproject2setuppy build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m pyproject2setuppy install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
